org.keycloak.storage.ldap.mappers.msad

## Class MSADUserAccountControlStorageMapper.MSADUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.storage.ldap.mappers.TxAwareLDAPUserModelDelegate
    - - org.keycloak.storage.ldap.mappers.msad.MSADUserAccountControlStorageMapper.MSADUserModelDelegate

- All Implemented Interfaces:
    RoleMapperModel, RoleMapperModel.Streams, UserModel, UserModel.Streams
  Enclosing class:
    MSADUserAccountControlStorageMapper

      public class MSADUserAccountControlStorageMapper.MSADUserModelDelegate
      extends TxAwareLDAPUserModelDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.SearchableFields, UserModel.Streams, UserModel.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.storage.ldap.mappers.TxAwareLDAPUserModelDelegate

      `logger, provider`

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `COMPARE_BY_USERNAME, DISABLED_REASON, EMAIL, EMAIL_VERIFIED, ENABLED, EXACT, FIRST_NAME, GROUPS, IDP_ALIAS, IDP_USER_ID, INCLUDE_SERVICE_ACCOUNT, LAST_NAME, LOCALE, SEARCH, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSADUserModelDelegate(UserModel delegate, LDAPObject ldapUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRequiredAction(String action)`
    `void` | `addRequiredAction(UserModel.RequiredAction action)`
    `protected long` | `getPwdLastSet()`
    `Stream<String>` | `getRequiredActionsStream()` Obtains the names of required actions associated with the user.
    `boolean` | `isEnabled()`
    `void` | `removeRequiredAction(String action)`
    `void` | `removeRequiredAction(UserModel.RequiredAction action)`
    `void` | `setEnabled(boolean enabled)`

    - ### Methods inherited from class org.keycloak.storage.ldap.mappers.TxAwareLDAPUserModelDelegate

      `ensureTransactionStarted, markUpdatedAttributeInTransaction, markUpdatedRequiredActionInTransaction`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `deleteRoleMapping, equals, getAttributes, getAttributeStream, getClientRoleMappingsStream, getCreatedTimestamp, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroupsStream, getId, getLastName, getRealmRoleMappingsStream, getRoleMappingsStream, getServiceAccountClientLink, getUsername, grantRole, hashCode, hasRole, isEmailVerified, isMemberOf, joinGroup, leaveGroup, removeAttribute, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setFederationLink, setFirstName, setLastName, setServiceAccountClientLink, setSingleAttribute, setUsername`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserModel.Streams

      `getAttribute, getGroups, getRequiredActions`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `getGroups, getGroups, getGroupsCount, getGroupsCountByNameContaining, getGroupsStream`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel.Streams

      `getClientRoleMappings, getRealmRoleMappings, getRoleMappings`

- - ### Constructor Detail

    - #### MSADUserModelDelegate

          public MSADUserModelDelegate(UserModel delegate,
                                       LDAPObject ldapUser)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `UserModel`
      Overrides:
        `isEnabled` in class `UserModelDelegate`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Specified by:
        `setEnabled` in interface `UserModel`
      Overrides:
        `setEnabled` in class `UserModelDelegate`

    - #### addRequiredAction

          public void addRequiredAction(UserModel.RequiredAction action)

      Specified by:
        `addRequiredAction` in interface `UserModel`
      Overrides:
        `addRequiredAction` in class `UserModelDelegate`

    - #### addRequiredAction

          public void addRequiredAction(String action)

      Specified by:
        `addRequiredAction` in interface `UserModel`
      Overrides:
        `addRequiredAction` in class `UserModelDelegate`

    - #### removeRequiredAction

          public void removeRequiredAction(UserModel.RequiredAction action)

      Specified by:
        `removeRequiredAction` in interface `UserModel`
      Overrides:
        `removeRequiredAction` in class `UserModelDelegate`

    - #### removeRequiredAction

          public void removeRequiredAction(String action)

      Specified by:
        `removeRequiredAction` in interface `UserModel`
      Overrides:
        `removeRequiredAction` in class `UserModelDelegate`

    - #### getRequiredActionsStream

          public Stream<String> getRequiredActionsStream()

      Description copied from interface: `UserModel`
      Obtains the names of required actions associated with the user.
      Specified by:
        `getRequiredActionsStream` in interface `UserModel`
      Specified by:
        `getRequiredActionsStream` in interface `UserModel.Streams`
      Overrides:
        `getRequiredActionsStream` in class `UserModelDelegate`
      Returns:
        a non-null `Stream` of required action names.

    - #### getPwdLastSet

          protected long getPwdLastSet()

Copyright © 2021 JBoss by Red Hat. All rights reserved.